Query Return Packages
curl --request GET \
--url https://api.jtl-cloud.com/erp/returns/{returnId}/packages \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/returns/{returnId}/packages"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/returns/{returnId}/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"ReturnId": 123,
"TrackingID": "JJD0099999999",
"ShippingMethodId": 123,
"ShippingMethodCustom": "DHL"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}return
Query Return Packages
Query all packages for a specific return
GET
/
returns
/
{returnId}
/
packages
Query Return Packages
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Response
The requested packages.
The tracking Id of the package.
Example:
"JJD0099999999"
The custom shipping method name used for the return. This value may only be set if ShippingMethodId is not provided.
Example:
"DHL"
Was this page helpful?
⌘I